(defvar org-bible-directory "~/docs/bibles")
(defvar org-bible-books '(genesis exodus leviticus numbers dueteronomy joshua judges ruth 1-samuel 2-samuel 1-kings 2-kings 1-chronicles 2-chronicles ezra nehemiah esther job psalms proverbs ecclesiastes song-of-solomon isaiah jeremiah lamentations ezekiel daniel hosea joel amos obadiah jonah micah nahum habakkuk zephaniah haggai zechariah malachi matthew mark luke john acts romans 1-corinthians 2-corinthians galatians ephesians phillipians colossians 1-thessalonians 2-thessalonians 1-timothy 2-timothy titus philemon hebrews james 1-peter 2-peter 1-john 2-john 3-john jude revelation))

(defvar org-bible-default "~/docs/bibles/esv.org")
(defvar org-bible-selected org-bible-default)

(defun org-bible-find-verse-imenu ()
  "Using Imenu find the verse and jump to it using the default bible"
  (interactive)
  (find-file org-bible-selected)
  (let ((location (list (imenu-choose-buffer-index))))
    (imenu-default-goto-function nil (cdr (car location)))))

;; (define-minor-mode org-bible-mode
;;   "Toggles the org bible minor mode"
;;   nil
;;   :global t
;;   :lighter " bible")
